import { ChangeDetectorRef, OnInit } from '@angular/core';
import { FlexyFormFieldLayoutSchema, SelectOptionMapper } from '@ng-flexy/form';
import { SelectOption, FlexyFormControlOptionsService, FlexyFormAbstractOptionsComponent } from '@ng-flexy/form';
import { FlexyLoggerService } from '@ng-flexy/core';
export declare class FlexyFormRadioListComponent extends FlexyFormAbstractOptionsComponent implements OnInit {
    protected optionsService: FlexyFormControlOptionsService;
    protected logger: FlexyLoggerService;
    private cdr;
    layoutSchema: FlexyFormFieldLayoutSchema;
    default: string;
    options: SelectOption[];
    optionsUrl: string;
    optionsMapper: SelectOptionMapper | string;
    optionsRawId: string;
    label: string;
    description: string;
    readonly: boolean;
    constructor(optionsService: FlexyFormControlOptionsService, logger: FlexyLoggerService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
}
